> ## Documentation Index
> Fetch the complete documentation index at: https://docs.automate.ax/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Automate.ax automations are TypeScript programs.
> Use Bun for installation and command examples.
> Use Automate.ax for the product name and automate.ax for the package, CLI, and domain.
> Treat documented public APIs as current; do not invent transitional or deprecated names.

# Get integration account

> Returns one integration account linked to an organization.



## OpenAPI

````yaml https://automate.ax/api/v1/openapi.json get /organizations/{organizationId}/integration-accounts/{accountId}
openapi: 3.1.1
info:
  title: Automate.ax API
  version: 0.0.0
servers:
  - url: https://automate.ax/api/v1
security:
  - bearerAuth: []
paths:
  /organizations/{organizationId}/integration-accounts/{accountId}:
    get:
      tags:
        - Integration Accounts
      summary: Get integration account
      description: Returns one integration account linked to an organization.
      operationId: getIntegrationAccount
      parameters:
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
        - name: accountId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  checkedAt:
                    anyOf:
                      - type: string
                        format: date-time
                        x-native-type: date
                      - type: 'null'
                  connectionMethodId:
                    type: string
                    minLength: 1
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                        required:
                          - code
                          - message
                      - type: 'null'
                  id:
                    type: string
                  label:
                    type: string
                  scopes:
                    type: array
                    items:
                      type: string
                  serviceId:
                    type: string
                  serviceSub:
                    type: string
                  revokedAt:
                    anyOf:
                      - type: string
                        format: date-time
                        x-native-type: date
                      - type: 'null'
                  revocation:
                    anyOf:
                      - type: object
                        properties:
                          completedAt:
                            anyOf:
                              - type: string
                                format: date-time
                                x-native-type: date
                              - type: 'null'
                          error:
                            anyOf:
                              - type: string
                              - type: 'null'
                          id:
                            type: string
                          requestedAt:
                            type: string
                            format: date-time
                            x-native-type: date
                          status:
                            enum:
                              - pending
                              - succeeded
                              - failed
                              - unsupported
                            type: string
                        required:
                          - completedAt
                          - error
                          - id
                          - requestedAt
                          - status
                      - type: 'null'
                  status:
                    enum:
                      - active
                      - revocation_pending
                      - revocation_failed
                      - revoked
                    type: string
                required:
                  - checkedAt
                  - connectionMethodId
                  - error
                  - id
                  - label
                  - scopes
                  - serviceId
                  - serviceSub
                  - revokedAt
                  - revocation
                  - status
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Automate.ax user session bearer token.

````